For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
      • GETGet cost centers
      • POSTCreate a new cost center
      • GETGet a cost center by ID
      • DELDelete a cost center
      • PATCHUpdate a cost center
  • Utilities
LogoLogo
API StatusPartner Portal
Expense managementCost centers

Get a cost center by ID

GET
/cost_centers/:cost_center_id
GET
/v1/cost_centers/:cost_center_id
$curl https://api.sandbox.monite.com/v1/cost_centers/cost_center_id \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "id": "id",
3 "created_at": "2024-01-15T09:30:00Z",
4 "updated_at": "2024-01-15T09:30:00Z",
5 "description": "description",
6 "is_external": true,
7 "name": "name"
8}
Get cost center by id
Was this page helpful?
Previous

Delete a cost center

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

cost_center_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
created_atdatetime
The timestamp when the cost center was created.
updated_atdatetime
The timestamp when the cost center was last updated.
descriptionstring
Description of the cost center
is_externalbooleanDefaults to false
Whether the cost center is from an external system
namestring

Errors

400
Get Cost Centers ID Request Bad Request Error
401
Get Cost Centers ID Request Unauthorized Error
403
Get Cost Centers ID Request Forbidden Error
404
Get Cost Centers ID Request Not Found Error
422
Get Cost Centers ID Request Unprocessable Entity Error
500
Get Cost Centers ID Request Internal Server Error